Update a campaign
A successful request to this endpoint will mean you may be charged a campaign resubmission fee.
PATCH
/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns/{campaignId}
A campaign can only be updated when the status is APPROVED, DECLINED or REJECTED.
When the campaign is APPROVED only the fields 'description', 'samples', 'messageFlow', 'helpMessage', 'optinKeywords', 'optoutKeywords',
'helpKeywords', 'optinMessage' and 'optoutMessage' can be updated.
When the campaign is DECLINED or REJECTED, all fields can be updated and the campaign will be resubmitted for review.
Payload della richiesta
name
string
Campaign name
description
string
A use case that best matches the purpose of the campaign. Only editable when campaign is DECLINED.
embeddedLink
boolean
Whether messages will contain links. Provide at least one sample containing a link. Only editable when campaign is DECLINED.
embeddedPhone
boolean
Whether messages will contain phone number. Provide at least one sample containing a phone number. Only editable when campaign is DECLINED.
numberPool
boolean
Whether a campaign will be associated with more than 50 numbers e.g. customer service use case. Only editable when campaign is DECLINED.
ageGated
boolean
Whether a campaign contains age-gated content based on carrier/CTIA guidelines. Only editable when campaign is DECLINED.
directLending
boolean
Whether a campaign includes content related to direct lending or loan arrangements. Only editable when campaign is DECLINED.
samples
array of string
Between 1-5 sample messages, each 20-1024 characters. If directLending, embeddedPhone, embeddedLink is true provide relevant examples.
messageFlow
string
Provide details of how the customer will opt into this campaign. If you have a live web opt-in provide the URL and ensure the page has details on the T&Cs/data collection for opting in, and how to opt out.
helpMessage
string
Help message of the campaign. A help message shall state the name of the service, contact (email or call centre), OPT IN and OPT OUT keywords.
helpKeywords
string
A comma separated list of keywords. Support of the word HELP is the minimum requirement for requesting help/info.
optoutKeywords
string
A comma separated list of keywords. Support of the word STOP is the minimum requirement for OPT OUT.
optinKeywords
string
A comma separated list of keywords. Support of the word START is the minimum requirement for OPT OUT.
optinMessage
string
Provide an example of the message that will be sent after a customer has opted in.
optoutMessage
string
Provide an example of the message that will be sent after a customer has opted out.
resellerId
string
UUID of the reseller associated with this campaign. The specified reseller MUST be ACTIVE.
Payload della risposta
id
string
UUID of the campaign.
name
string
Campaign name
subscription
object
Describes status of Campaign Subscription
Mostra attributi secondari
subscription.status
string
Possible values: active, inactive, canceling
subscription.subscribedAt
string
Timestamp (UTC) when the subscription became active.
subscription.updatedAt
string
Timestamp (UTC) when the subscription was last updated.
subscription.cancelledAt
string
Timestamp (UTC) when the subscription was cancelled.
status
string
Campaign status
Possible values: DRAFT, FAILED, PENDING, REJECTED, APPROVED, DECLINED, SUSPENDED, DELETED, EXPIRED
usecase
string
A use case that best matches the purpose of the campaign.
subUsecases
array of string
If use case is MIXED or LOW_VOLUME mixed an array of 2-5 use cases.
description
string
A detailed description of what the campaign is for.
embeddedLink
boolean
Whether messages will contain links. Provide at least one sample containing a link.
embeddedPhone
boolean
Whether messages will contain phone number. Provide at least one sample containing a phone number.
numberPool
boolean
Whether a campaign will be associated with more than 50 numbers e.g. customer service use case.
ageGated
boolean
Whether a campaign contains age-gated content based on carrier/ctia guidelines.
directLending
boolean
Whether a campaign includes content related to direct lending or loan arrangements.
subscriberOptin
boolean
Confirm customer opt in is collected and processed.
subscriberOptout
boolean
Confirm customer opt out is collected and processed.
subscriberHelp
boolean
Confirm an info message is returned if a customer sends "HELP".
samples
array of string
Between 1-5 sample messages, each up to 1024 characters (empty until the campaign is submitted). If directLending, embeddedPhone, embeddedLink is true provide relevant examples.
messageFlow
string
Provide details of how the customer will opt into this campaign. If you have a live web opt-in provide the URL and ensure the page has details on the T&Cs/data collection for opting in, and how to opt out.
helpMessage
string
Help message of the campaign. A help message shall state the name of the service, contact (email or call centre), OPT IN and OPT OUT keywords.
helpKeywords
string
A comma separated list of keywords. Support of the word HELP is the minimum requirement for requesting help/info.
optoutKeywords
string
A comma separated list of keywords. Support of the word STOP is the minimum requirement for OPT OUT.
optinKeywords
string
A comma separated list of keywords. Support of the word START is the minimum requirement for OPT OUT.
optinMessage
string
Provide an example of the message that will be sent after a customer has opted in.
optoutMessage
string
Provide an example of the message that will be sent after a customer has opted out.
termsAndConditions
boolean
Indicates the campaign follows CTIA messaging principles and best practices.
brandId
string
UUID of the brand associated with this campaign. The specified brand MUST be APPROVED.
resellerId
string
UUID of the reseller associated with this campaign. The specified reseller MUST be ACTIVE.
rejection
object
Rejection details
Mostra attributi secondari
rejection.description
string
obbligatorio
Rejection description
rejection.code
string
Rejection code
attachments
array of object
Attachments associated with this campaign.
Mostra attributi secondari
attachments.id
string
obbligatorio
The ID of the attachment.
attachments.status
string
obbligatorio
Attachment status
Possible values: PENDING, ACTIVE, PENDING_DELETION, DELETED, FAILED, FAILED_DELETION
attachments.createdAt
string
obbligatorio
Timestamp (UTC) when the attachment was created.
attachments.updatedAt
string
obbligatorio
Timestamp (UTC) when the attachment was last updated.
attachments.filename
string
obbligatorio
The original name of the file when it was uploaded.
attachments.mediaUrl
string
The URL to download the attachment.
attachments.contentType
string
obbligatorio
The detected MIME type of the file.
createdAt
string
Timestamp (UTC) when the campaign was created.
updatedAt
string
Timestamp (UTC) when the campaign was last updated.
Esempio di codice
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/tcr-brands/{brandId}/campaigns/{campaignId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'CampaignUpdate object
| Field | Type | Description | Mandatory | |
|---|---|---|---|---|
| useCase | useCase | A use case that best matches the purpose of the campaign | Optional | Yes. Only editable when campaign is DECLINED |
| subUsecases | array<useCase> | If use case is MIXED or LOW_VOLUME mixed an array of 2-5 use cases | Optional. Unless changing use case to LOW_VOLUME_MIXED or MIXED | es. Only editable when campaign is DECLINED |
| description | string | A detailed description of what the campaign is for | Optional | es. Only editable when campaign is DECLINED |
| embeddedLink | boolean | Whether messages will contain links. Provide at least one sample containing a link | Optional | es. Only editable when campaign is DECLINED |
| embeddedPhone | boolean | Whether messages will contain phone number. Provide at least one sample containing a phone number | Optional | es. Only editable when campaign is DECLINED |
| numberPool | boolean | Whether a campaign will be associated with more than 50 numbers e.g. customer service use case | Optional | es. Only editable when campaign is DECLINED |
| ageGated | boolean | Whether a campaign contains age-gated content based on carrier/ctia guidelines | Optional | es. Only editable when campaign is DECLINED |
| directLending | boolean | Whether a campaign includes content related to direct lending or loan arrangements | Optional | es. Only editable when campaign is DECLINED |
| subscriberOptin | boolean | Confirm customer opt in is collected and processed | Optional. Unless adding opt in keywords/help messages | es. Only editable when campaign is DECLINED |
| subscriberOptout | boolean | Confirm customer opt out is collected and processed | Optional | es. Only editable when campaign is DECLINED |
| subscriberHelp | boolean | Confirm an info message is returned if a customer sends “HELP” | Optional | es. Only editable when campaign is DECLINED |
| samples | array<string> | Between 1-5 sample messages. If directLending, embeddedPhone, embeddedLink is true provide relevant examples | Optional | <p> </p> |
| messageFlow | string | Provide details of how the customer will opt into this campaign. If you have a live web opt-in provide the URL and ensure the page has details on the T&Cs/data collection for opting in, and how to opt out | Optional | <p> </p> |
| helpKeywords | string | A comma separated list of keywords. Support of the word HELP is the minimum requirement for requesting help/info. | Optional | <p> </p> |
| optoutKeywords | string | A comma separated list of keywords. Support of the word STOP is the minimum requirement for OPT OUT. | Optional | <p> </p> |
| optInKeywords | string | A comma separated list of keywords. Support of the word START is the minimum requirement for OPT OUT. | Optional. Required if subscriberOptin is changed to true | <p> </p> |
| helpMessage | string | Help message of the campaign. A help message shall state the name of the service, contact (email or call centre), OPT IN and OPT OUT keywords. | Optional | <p> </p> |
| optinMesage | string | <p> </p> | Optional. Required if subscriberOptin is changed to true | <p> </p> |
| optoutMesage | sting | Provide an example of the message that will be sent after a customer has opted in. | Optional | <p> </p> |
| termsAndCondtions | boolean | Indicates the campaign follows CTIA messaging principles and best practices | Optional | <p> </p> |
CampaignResponse object
| Type | Description |
|---|---|
| CampaignReponse | CampaignResponse object describes a submitted campaign |